Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.sequence.event
Class SequenceListenerSupport

    java.lang.Object
      |
      +--uk.ac.man.bioinf.sequence.event.SequenceListenerSupport

public class SequenceListenerSupport
extends Object

SequenceListenerSupport.java This class provides support and handles the listeners to a specific sequence. This ofcourse means there is one support object for one sequence object.

Version:
  $Id: SequenceListenerSupport.java,v 1.5 2001/04/11 17:04:43 lord Exp $
Author:
  J Selley
See Also:
  `Created: Wed Feb 16 19:28:44 2000`

Constructor Summary
`SequenceListenerSupport()`

Method Summary
`void` | `addSequenceListener(SequenceListener listener)` Adds a sequence listener object to a Vector of listeners.
`void` | `addVetoableSequenceListener(VetoableSequenceListener listener)` Adds a vetoable sequence listener to the Vector of listeners.
`void` | `fireSequenceEvent(SequenceEvent event)` This function fires the sequence event to all the interested listeners.
`void` | `fireVetoableSequenceEvent(VetoableSequenceEvent event)` This function fires the vetoable event to the vetoable listeners.
`boolean` | `hasListeners()` There is really no point in making an event object if there are no listeners.
`void` | `removeSequenceListener(SequenceListener listener)` Removes a sequence listener.
`void` | `removeVetoableSequenceListener(VetoableSequenceListener listener)` Removes a vetoable sequence listener.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceListenerSupport

    public SequenceListenerSupport()

Method Detail

### hasListeners

    public boolean hasListeners()

  There is really no point in making an event object if there are no listeners. This method allows other classes to be intelligent about the way it does things.

  Returns:
    a `boolean` value

### fireSequenceEvent

    public void fireSequenceEvent(SequenceEvent event)

  This function fires the sequence event to all the interested listeners. It also fires to the vetoable listeners, which are stored separately, because the interface for VetoableSequenceListener extends the SequenceListener interface.

  Parameters:
    `event` - the event to be fired
  See Also:
    `VetoableSequenceListener`, `SequenceListener`

### fireVetoableSequenceEvent

    public void fireVetoableSequenceEvent(VetoableSequenceEvent event)
                                   throws SequenceVetoException

  This function fires the vetoable event to the vetoable listeners.

  Parameters:
    `event` - the event to be fired
    `SequenceVetoException`

### addSequenceListener

    public void addSequenceListener(SequenceListener listener)

  Adds a sequence listener object to a Vector of listeners.

  Parameters:
    `listener` - the sequence listener

### removeSequenceListener

    public void removeSequenceListener(SequenceListener listener)

  Removes a sequence listener.

  Parameters:
    `listener` - the sequence listener

### addVetoableSequenceListener

    public void addVetoableSequenceListener(VetoableSequenceListener listener)

  Adds a vetoable sequence listener to the Vector of listeners.

  Parameters:
    `listener` - the vetoable sequence listener

### removeVetoableSequenceListener

    public void removeVetoableSequenceListener(VetoableSequenceListener listener)

  Removes a vetoable sequence listener.

  Parameters:
    `listener` - the vetoable sequence listener

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD